[English](#english) | [한국어](#korean)

# 기여자 행동 강령 규약<a name="korean"></a>

## 서약

개방적이고 친근한 환경 조성을 위해, 기여자와 유지자는 프로젝트와 커뮤니티에서
연령, 신체 크기, 장애, 민족성, 성 정체성과 표현, 경력, 국적, 외모, 인종, 종교
또는 성적 정체성과 지향에 관계없이 모두에게 차별없이 참여할 것을 서약합니다.

## 표준

긍정적인 환경을 조성하기 위해 기여자가 해야 할 행동은 다음과 같습니다:

- 소외하지 않고 배려하는 언어 사용
- 서로 다른 경험과 관점 존중
- 열린 마음으로 건설적인 비판을 수용
- 커뮤니티에 가장 최선이 무엇인지에 주력
- 다른 커뮤니티 구성원들에 대한 공감 표현

하지말아야 할 행동은 다음과 같습니다:

- 성적인 언어와 이미지 사용, 원치않는 성적 관심이나 접근
- 소모적인 논쟁, 모욕적이거나 비하하는 댓글과 개인적 또는 정치적인 공격
- 공개적이거나 개인적인 괴롭힘
- 동의없는 집주소 또는 전자주소 등의 개인 정보의 공개
- 부적절한 것으로 간주될 수 있는 다른 행위

## 책임

프로젝트 유지자는 허용되는 행동의 기준을 명확히 해야할 책임이 있습니다. 또한,
하지말아야 할 행동에 대해 적당하고 공정한 시정 조치를 취할 것 입니다.

프로젝트 유지자는 이 행동 강령을 따르지 않은 댓글, 커밋, 코드, 위키 편집,
이슈와 그 외 다른 기여를 삭제, 수정 또는 거부할 권리와 책임이 있습니다. 또한,
부적당하거나 험악하거나 공격적이거나 해롭다고 생각하는 다른 행동을 한 기여자를
일시적 또는 영구적으로 퇴장시킬 수 있습니다.

## 범위

이 행동 강령은 프로젝트 영역에 적용되며, 프로젝트 또는 커뮤니티를 대표할 경우
공개 영역에도 적용됩니다. 프로젝트 또는 커뮤니티 대표의 예로는 공식 프로젝트
이메일 주소, 공식 소셜 미디어 계정사용 또는 온/오프라인 이벤트에서 임명된
대표자의 활동이 있습니다. 프로젝트의 대표는 프로젝트 유지자에 의해 더 정의되고
명확히 될 것 입니다.

## 강제

모욕적인, 괴롭힘 또는 기타 하지말아야 할 행동을 발견하면 pm2@kakao.com 을
통해 프로젝트 리더에게 보고 해 주세요. 모든 불만사항은 검토하고 조사한 뒤 상황에
따라 필요하고 적절하다고 생각되는 응답을 할 것 입니다. 프로젝트 팀은 사건의
보고자와 관련한 비밀을 유지할 의무가 있습니다. 구체적인 시행 정책의 자세한
사항은 별도로 게시할 수 있습니다.

행동 강령을 따르지 않거나 강제하지 않은 프로젝트 유지자는 프로젝트 리더의 다른
구성원의 결정에 따라 일시적 또는 영구적인 제재를 받을 수 있습니다.

## 참고

이 행동 강령은 [기여자 규약][homepage] 의 1.4 버전을 변형하였습니다. 그 내용은
https://www.contributor-covenant.org/ko/version/1/4/code-of-conduct.html 에서
확인할 수 있습니다.

[homepage]: https://www.contributor-covenant.org

</br></br>

# Contributor Covenant Code of Conduct<a name="english"></a>

## Our Pledge

We as members, contributors, and leaders pledge to make participation in our
community a harassment-free experience for everyone, regardless of age, body
size, visible or invisible disability, ethnicity, sex characteristics, gender
identity and expression, level of experience, education, socio-economic status,
nationality, personal appearance, race, religion, or sexual identity
and orientation.

We pledge to act and interact in ways that contribute to an open, welcoming,
diverse, inclusive, and healthy community.

## Our Standards

Examples of behavior that contributes to a positive environment for our
community include:

- Demonstrating empathy and kindness toward other people
- Being respectful of differing opinions, viewpoints, and experiences
- Giving and gracefully accepting constructive feedback
- Accepting responsibility and apologizing to those affected by our mistakes,
  and learning from the experience
- Focusing on what is best not just for us as individuals, but for the
  overall community

Examples of unacceptable behavior include:

- The use of sexualized language or imagery, and sexual attention or
  advances of any kind
- Trolling, insulting or derogatory comments, and personal or political attacks
- Public or private harassment
- Publishing others' private information, such as a physical or email
  address, without their explicit permission
- Other conduct which could reasonably be considered inappropriate in a
  professional setting

## Enforcement Responsibilities

Community leaders are responsible for clarifying and enforcing our standards of
acceptable behavior and will take appropriate and fair corrective action in
response to any behavior that they deem inappropriate, threatening, offensive,
or harmful.

Community leaders have the right and responsibility to remove, edit, or reject
comments, commits, code, wiki edits, issues, and other contributions that are
not aligned to this Code of Conduct, and will communicate reasons for moderation
decisions when appropriate.

## Scope

This Code of Conduct applies within all community spaces, and also applies when
an individual is officially representing the community in public spaces.
Examples of representing our community include using an official e-mail address,
posting via an official social media account, or acting as an appointed
representative at an online or offline event.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported to the community leaders responsible for enforcement at
pm2@kakao.com.
All complaints will be reviewed and investigated promptly and fairly.

All community leaders are obligated to respect the privacy and security of the
reporter of any incident.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage],
version 1.4, available at
https://www.contributor-covenant.org/version/1/4/code_of_conduct.html.

[homepage]: https://www.contributor-covenant.org
